%global tarname goocanvas
%global apiver  2.0

%define commit b0d3b48d6f067ffd84c0ab3fe47b0a11dd5a15c6
%define date 20110506

Name:           goocanvas2
Version:        2.0.0
Release:        1.%{date}git.gi%{?dist}
Summary:        A new canvas widget for GTK+ that uses Cairo for drawing

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://live.gnome.org/GooCanvas
# This is a git snapshot, to get it :
# git clone git://git.gnome.org/goocanvas
# mv goocanvas %%{name}-%%{version}
# cd %%{name}-%%{version}
# git checkout introspection
# git checkout %%{commit}
# rm -rf .git && cd ..
# tar cjf %%{name}-%%{version}-%%{date}gi.tar.bz2 %%{name}-%%{version}
Source0:        %{name}-%{version}-%{date}git-gi.tar.bz2

BuildRequires:  gettext, pkgconfig
BuildRequires:  autoconf, automake, libtool, gtk-doc
BuildRequires:  gtk3-devel >= 2.91.3
BuildRequires:  cairo-devel >= 1.4.0
BuildRequires:  gobject-introspection-devel
BuildRequires:  gnome-common
BuildRequires:  pygobject2-devel

Patch0:         goocanvas2-2.0.0-fix-fsf-address.patch

%description
GooCanvas is a new canvas widget for GTK+ that uses the Cairo 2D library for
drawing. It has a model/view split, and uses interfaces for canvas items and
views, so you can easily turn any application object into canvas items.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1 -b .fix-fsf-address
NOCONFIGURE=1 gnome-autogen.sh


%build
%configure --disable-static \
           --enable-gtk-doc \
           --with-html-dir=%{_datadir}/gtk-doc/html/%{tarname}-%{apiver} \
           --enable-introspection \
           --enable-python
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la'  -exec rm -f '{}' \;
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files  -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README ChangeLog AUTHORS NEWS TODO
%{_libdir}/lib%{tarname}-%{apiver}.so.*
%{_libdir}/girepository-1.0/GooCanvas-%{apiver}.typelib
%{python_sitearch}/gi/overrides/GooCanvas.py*

%files devel
%defattr(-,root,root,-)
%doc COPYING README ChangeLog AUTHORS NEWS TODO
%{_includedir}/%{tarname}-%{apiver}
%{_libdir}/lib%{tarname}-%{apiver}.so
%{_libdir}/pkgconfig/%{tarname}-%{apiver}.pc
%{_datadir}/gtk-doc/html/%{tarname}-%{apiver}
%{_datadir}/gir-1.0/GooCanvas-%{apiver}.gir


%changelog
* Thu Jun 16 2011 Hicham HAOUARI <hicham.haouari@gmail.com> - 2.0.0-1.20110506git.gi
- Update to latest introspection branch snapshot

* Fri Feb 11 2011 Haïkel Guémar <hguemar@fedoraproject.org> - 1.90.2-1
- initial package

